%global enable_tests 1
%global srcname tar-stream

Name:           nodejs-%{srcname}
Version:        1.5.2
Release:        2%{?dist}
Summary:        A streaming tar parser and generator
License:        MIT
URL:            https://github.com/mafintosh/tar-stream
Source0:        https://github.com/mafintosh/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(bl)
BuildRequires:  npm(xtend)
BuildRequires:  npm(end-of-stream)
BuildRequires:  npm(concat-stream)
%endif


%description
tar-stream is a streaming tar parser and generator and nothing else. It is 
streams2 and operates purely using streams which means you can easily 
extract/parse tarballs without ever hitting the file system.


%prep
%autosetup -n %{srcname}-%{version}
rm -rf node_modules/
%nodejs_fixdep readable-stream


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
tape test/*.js
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 18 2017 Piotr Popieluch <piotr1212@gmail.com> - 1.5.2-1
- Update

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.3.1-1
- Update to 1.3.1

* Fri Oct 23 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.2.2-1
- Update to 1.2.2

* Mon Jul 27 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.2.1-4
- lighten fixdep npm(readable-stream)

* Fri Jul 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.2.1-3
- move fixdep to %%prep

* Thu Jul 23 2015 Parag Nemade <pnemade AT fedoraproject DOT org> - 1.2.1-2
- fixdep npm(readable-stream)

* Mon Jul 13 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.2.1-1
- update to 1.2.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Feb  8 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.1.2-1
- update to 1.1.2

* Mon Dec 22 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.1.1-1
- Initial package
